/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2009 Novell, Inc.
 */

#ifndef NMN_ITEM_H
#define NMN_ITEM_H

#include <glib-object.h>

#define NMN_TYPE_ITEM      (nmn_item_get_type ())
#define NMN_ITEM(obj)      (G_TYPE_CHECK_INSTANCE_CAST ((obj), NMN_TYPE_ITEM, NmnItem))
#define NMN_IS_ITEM(obj)   (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NMN_TYPE_ITEM))
#define NMN_ITEM_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NMN_TYPE_ITEM, NmnItem))

#define NMN_ITEM_NAME     "name"
#define NMN_ITEM_PRIORITY "priority"

typedef enum {
    NMN_ITEM_PROP_FIRST = 0x1000,

    NMN_ITEM_PROP_NAME = NMN_ITEM_PROP_FIRST,
    NMN_ITEM_PROP_PRIORITY,
} NmnItemProp;

typedef struct _NmnItem NmnItem;

struct _NmnItem {
    GTypeInterface g_iface;

    /* Signals */
    void (*remove_requested) (NmnItem *item);
};

GType nmn_item_get_type (void);

void        nmn_item_set_name         (NmnItem *item,
                                       const char *name);

char       *nmn_item_get_name         (NmnItem *item);

void        nmn_item_set_priority     (NmnItem *item,
                                       guint priority);

guint       nmn_item_get_priority     (NmnItem *item);
void        nmn_item_remove_requested (NmnItem *item);

#endif /* NMN_ITEM_H */
