/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2009 Novell, Inc.
 */

#ifndef NMN_NETWORKS_H
#define NMN_NETWORKS_H

#include <nmn-list.h>
#include "nmn-nm-data.h"

#define NMN_TYPE_NETWORKS            (nmn_networks_get_type ())
#define NMN_NETWORKS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), NMN_TYPE_NETWORKS, NmnNetworks))
#define NMN_NETWORKS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), NMN_TYPE_NETWORKS, NmnNetworksClass))
#define NMN_IS_NETWORKS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NMN_TYPE_NETWORKS))
#define NMN_IS_NETWORKS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), NMN_TYPE_NETWORKS))
#define NMN_NETWORKS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), NMN_TYPE_NETWORKS, NmnNetworksClass))

#define NMN_NETWORKS_NM_DATA "nm-data"

typedef struct {
    NmnList parent;
} NmnNetworks;

typedef struct {
    NmnListClass parent;
} NmnNetworksClass;

GType nmn_networks_get_type (void);

GtkWidget *nmn_networks_new (NmnNMData *nm_data);
void       nmn_networks_populate (NmnNetworks *self);

#endif /* NMN_NETWORKS_H */
