/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2009 Novell, Inc.
 */

#ifndef NMN_STATUS_ICON_H
#define NMN_STATUS_ICON_H

#include <glib-object.h>
#include <nm-client.h>
#include <moblin-panel/mpl-panel-client.h>

G_BEGIN_DECLS

#define NMN_TYPE_STATUS_ICON            (nmn_status_icon_get_type ())
#define NMN_STATUS_ICON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), NMN_TYPE_STATUS_ICON, NmnStatusIcon))
#define NMN_STATUS_ICON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), NMN_TYPE_STATUS_ICON, NmnStatusIconClass))
#define NMN_IS_STATUS_ICON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NMN_TYPE_STATUS_ICON))
#define NMN_IS_STATUS_ICON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), NMN_TYPE_STATUS_ICON))
#define NMN_STATUS_ICON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), NMN_TYPE_STATUS_ICON, NmnStatusIconClass))

typedef struct {
    GObject parent;
} NmnStatusIcon;

typedef struct {
    GObjectClass parent;
} NmnStatusIconClass;

GType nmn_status_icon_get_type (void);

NmnStatusIcon *nmn_status_icon_new              (void);
void           nmn_status_icon_set_nm_client    (NmnStatusIcon *self,
                                                 NMClient *nm_client);

void           nmn_status_icon_set_panel_client (NmnStatusIcon *self,
                                                 MplPanelClient *panel_client);

G_END_DECLS

#endif /* NMN_STATUS_ICON_H */
